
/*
 *
 *  (c) BU Web Advanced
 *
 *
*/


var WIDTH = 400, HEIGHT = 300;

var VIEW_ANGLE = 45,
  ASPECT = WIDTH / HEIGHT,
  NEAR = 0.1,
  FAR = 10000;

var renderer = new THREE.WebGLRenderer();
var camera =
  new THREE.PerspectiveCamera(
    VIEW_ANGLE,
    ASPECT,
    NEAR,
    FAR);

var scene = new THREE.Scene();

scene.add(camera);
camera.position.z = 300;

renderer.setSize(WIDTH, HEIGHT);

$('#container').append(renderer.domElement);


renderer.render(scene, camera);





















/*

###### SNIPPETS ###########





var sphere = new THREE.Mesh(new THREE.SphereGeometry(50, 0, 0), new THREE.MeshNormalMaterial());
scene.add(sphere);






// bitmap material
var img = new THREE.MeshBasicMaterial({
    map:THREE.ImageUtils.loadTexture("bitmap.jpg")
});
img.map.needsUpdate = true;

// plane
var plane = new THREE.Mesh(new THREE.PlaneGeometry(200, 200),img);
plane.overdraw = true;
scene.add(plane);





// jquery Variable Counter
$({meineVar:1}).animate({meineVar:0},{
  step: function(){
  }
})










*/